VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SCLR
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL XLXN_5
        SIGNAL XLXN_6
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL XLXN_10
        SIGNAL SCK
        SIGNAL XLXN_12
        SIGNAL XLXN_13
        SIGNAL XLXN_14
        SIGNAL XLXN_15
        SIGNAL XLXN_16
        SIGNAL XLXN_17
        SIGNAL XLXN_18
        SIGNAL SI
        SIGNAL XLXN_20
        SIGNAL XLXN_21
        SIGNAL XLXN_22
        SIGNAL XLXN_23
        SIGNAL XLXN_24
        SIGNAL XLXN_25
        SIGNAL XLXN_26
        SIGNAL XLXN_27
        SIGNAL XLXN_28
        SIGNAL XLXN_29
        SIGNAL QH_cyclic
        SIGNAL RCK
        SIGNAL XLXN_33
        SIGNAL XLXN_34
        SIGNAL XLXN_35
        SIGNAL XLXN_36
        SIGNAL XLXN_37
        SIGNAL XLXN_38
        SIGNAL XLXN_39
        SIGNAL G
        SIGNAL XLXN_41
        SIGNAL XLXN_42
        SIGNAL XLXN_43
        SIGNAL XLXN_44
        SIGNAL QA
        SIGNAL QB
        SIGNAL QC
        SIGNAL QD
        SIGNAL QE
        SIGNAL QF
        SIGNAL QG
        SIGNAL QH
        PORT Input SCLR
        PORT Input SCK
        PORT Input SI
        PORT Output QH_cyclic
        PORT Input RCK
        PORT Input G
        PORT Output QA
        PORT Output QB
        PORT Output QC
        PORT Output QD
        PORT Output QE
        PORT Output QF
        PORT Output QG
        PORT Output QH
        BEGIN BLOCKDEF dffr
            TIMESTAMP 2017 11 13 10 57 48
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF Tri_State_Logic
            TIMESTAMP 2017 11 13 11 21 4
            RECTANGLE N 64 -128 132 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 132 -96 196 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 dffr
            PIN data XLXN_21
            PIN clk SCK
            PIN reset SCLR
            PIN q XLXN_22
        END BLOCK
        BEGIN BLOCK XLXI_3 dffr
            PIN data XLXN_22
            PIN clk SCK
            PIN reset SCLR
            PIN q XLXN_24
        END BLOCK
        BEGIN BLOCK XLXI_4 dffr
            PIN data XLXN_24
            PIN clk SCK
            PIN reset SCLR
            PIN q XLXN_25
        END BLOCK
        BEGIN BLOCK XLXI_5 dffr
            PIN data XLXN_25
            PIN clk SCK
            PIN reset SCLR
            PIN q XLXN_26
        END BLOCK
        BEGIN BLOCK XLXI_6 dffr
            PIN data XLXN_26
            PIN clk SCK
            PIN reset SCLR
            PIN q XLXN_27
        END BLOCK
        BEGIN BLOCK XLXI_7 dffr
            PIN data XLXN_27
            PIN clk SCK
            PIN reset SCLR
            PIN q XLXN_28
        END BLOCK
        BEGIN BLOCK XLXI_1 dffr
            PIN data SI
            PIN clk SCK
            PIN reset SCLR
            PIN q XLXN_21
        END BLOCK
        BEGIN BLOCK XLXI_8 dffr
            PIN data XLXN_28
            PIN clk SCK
            PIN reset SCLR
            PIN q QH_cyclic
        END BLOCK
        BEGIN BLOCK XLXI_19 dffr
            PIN data XLXN_21
            PIN clk RCK
            PIN reset XLXN_29
            PIN q XLXN_38
        END BLOCK
        BEGIN BLOCK XLXI_20 dffr
            PIN data XLXN_22
            PIN clk RCK
            PIN reset XLXN_29
            PIN q XLXN_37
        END BLOCK
        BEGIN BLOCK XLXI_21 dffr
            PIN data XLXN_24
            PIN clk RCK
            PIN reset XLXN_29
            PIN q XLXN_36
        END BLOCK
        BEGIN BLOCK XLXI_22 dffr
            PIN data XLXN_25
            PIN clk RCK
            PIN reset XLXN_29
            PIN q XLXN_42
        END BLOCK
        BEGIN BLOCK XLXI_23 dffr
            PIN data XLXN_26
            PIN clk RCK
            PIN reset XLXN_29
            PIN q XLXN_35
        END BLOCK
        BEGIN BLOCK XLXI_24 dffr
            PIN data XLXN_27
            PIN clk RCK
            PIN reset XLXN_29
            PIN q XLXN_43
        END BLOCK
        BEGIN BLOCK XLXI_25 dffr
            PIN data XLXN_28
            PIN clk RCK
            PIN reset XLXN_29
            PIN q XLXN_34
        END BLOCK
        BEGIN BLOCK XLXI_26 dffr
            PIN data QH_cyclic
            PIN clk RCK
            PIN reset XLXN_29
            PIN q XLXN_33
        END BLOCK
        BEGIN BLOCK XLXI_28 vcc
            PIN P XLXN_29
        END BLOCK
        BEGIN BLOCK XLXI_29 Tri_State_Logic
            PIN q XLXN_38
            PIN g G
            PIN val QA
        END BLOCK
        BEGIN BLOCK XLXI_30 Tri_State_Logic
            PIN q XLXN_37
            PIN g G
            PIN val QB
        END BLOCK
        BEGIN BLOCK XLXI_31 Tri_State_Logic
            PIN q XLXN_36
            PIN g G
            PIN val QC
        END BLOCK
        BEGIN BLOCK XLXI_32 Tri_State_Logic
            PIN q XLXN_42
            PIN g G
            PIN val QD
        END BLOCK
        BEGIN BLOCK XLXI_33 Tri_State_Logic
            PIN q XLXN_35
            PIN g G
            PIN val QE
        END BLOCK
        BEGIN BLOCK XLXI_34 Tri_State_Logic
            PIN q XLXN_43
            PIN g G
            PIN val QF
        END BLOCK
        BEGIN BLOCK XLXI_35 Tri_State_Logic
            PIN q XLXN_34
            PIN g G
            PIN val QG
        END BLOCK
        BEGIN BLOCK XLXI_36 Tri_State_Logic
            PIN q XLXN_33
            PIN g G
            PIN val QH
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_2 784 784 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 784 1056 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 784 1312 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_5 784 1568 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_6 784 1824 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_7 784 2080 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_1 784 512 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_8 784 2336 R0
        END INSTANCE
        BEGIN BRANCH SCLR
            WIRE 304 336 672 336
            WIRE 672 336 672 480
            WIRE 672 480 784 480
            WIRE 672 480 672 752
            WIRE 672 752 784 752
            WIRE 672 752 672 1024
            WIRE 672 1024 784 1024
            WIRE 672 1024 672 1280
            WIRE 672 1280 784 1280
            WIRE 672 1280 672 1536
            WIRE 672 1536 784 1536
            WIRE 672 1536 672 1792
            WIRE 672 1792 784 1792
            WIRE 672 1792 672 2048
            WIRE 672 2048 784 2048
            WIRE 672 2048 672 2304
            WIRE 672 2304 784 2304
        END BRANCH
        IOMARKER 304 336 SCLR R180 28
        BEGIN BRANCH SCK
            WIRE 320 416 720 416
            WIRE 720 416 784 416
            WIRE 720 416 720 688
            WIRE 720 688 784 688
            WIRE 720 688 720 960
            WIRE 720 960 784 960
            WIRE 720 960 720 1216
            WIRE 720 1216 784 1216
            WIRE 720 1216 720 1472
            WIRE 720 1472 784 1472
            WIRE 720 1472 720 1728
            WIRE 720 1728 784 1728
            WIRE 720 1728 720 1984
            WIRE 720 1984 784 1984
            WIRE 720 1984 720 2240
            WIRE 720 2240 784 2240
        END BRANCH
        IOMARKER 320 416 SCK R180 28
        BEGIN BRANCH SI
            WIRE 320 256 768 256
            WIRE 768 256 768 352
            WIRE 768 352 784 352
        END BRANCH
        IOMARKER 320 256 SI R180 28
        BEGIN BRANCH XLXN_21
            WIRE 768 560 768 624
            WIRE 768 624 784 624
            WIRE 768 560 1184 560
            WIRE 1168 352 1184 352
            WIRE 1184 352 1184 560
            WIRE 1184 352 1440 352
        END BRANCH
        BEGIN BRANCH XLXN_22
            WIRE 768 832 768 896
            WIRE 768 896 784 896
            WIRE 768 832 1184 832
            WIRE 1168 624 1184 624
            WIRE 1184 624 1184 640
            WIRE 1184 640 1184 832
            WIRE 1184 640 1440 640
        END BRANCH
        BEGIN BRANCH XLXN_24
            WIRE 768 1088 768 1152
            WIRE 768 1152 784 1152
            WIRE 768 1088 1184 1088
            WIRE 1168 896 1184 896
            WIRE 1184 896 1184 1088
            WIRE 1184 896 1440 896
        END BRANCH
        BEGIN BRANCH XLXN_25
            WIRE 768 1328 768 1408
            WIRE 768 1408 784 1408
            WIRE 768 1328 1184 1328
            WIRE 1168 1152 1184 1152
            WIRE 1184 1152 1184 1328
            WIRE 1184 1152 1440 1152
        END BRANCH
        BEGIN BRANCH XLXN_26
            WIRE 768 1600 768 1664
            WIRE 768 1664 784 1664
            WIRE 768 1600 1184 1600
            WIRE 1168 1408 1184 1408
            WIRE 1184 1408 1184 1600
            WIRE 1184 1408 1440 1408
        END BRANCH
        BEGIN BRANCH XLXN_27
            WIRE 768 1856 768 1920
            WIRE 768 1920 784 1920
            WIRE 768 1856 1184 1856
            WIRE 1168 1664 1184 1664
            WIRE 1184 1664 1184 1856
            WIRE 1184 1664 1440 1664
        END BRANCH
        BEGIN BRANCH XLXN_28
            WIRE 768 2112 768 2176
            WIRE 768 2176 784 2176
            WIRE 768 2112 1184 2112
            WIRE 1168 1920 1184 1920
            WIRE 1184 1920 1184 2112
            WIRE 1184 1920 1440 1920
        END BRANCH
        BEGIN INSTANCE XLXI_19 1440 512 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_20 1440 800 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_21 1440 1056 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_22 1440 1312 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_23 1440 1568 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_24 1440 1824 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_25 1440 2080 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_26 1440 2336 R0
        END INSTANCE
        INSTANCE XLXI_28 1296 256 R0
        BEGIN BRANCH XLXN_29
            WIRE 1360 256 1360 480
            WIRE 1360 480 1440 480
            WIRE 1360 480 1360 768
            WIRE 1360 768 1440 768
            WIRE 1360 768 1360 1024
            WIRE 1360 1024 1440 1024
            WIRE 1360 1024 1360 1280
            WIRE 1360 1280 1440 1280
            WIRE 1360 1280 1360 1536
            WIRE 1360 1536 1360 1792
            WIRE 1360 1792 1440 1792
            WIRE 1360 1792 1360 2048
            WIRE 1360 2048 1440 2048
            WIRE 1360 2048 1360 2304
            WIRE 1360 2304 1440 2304
            WIRE 1360 1536 1440 1536
        END BRANCH
        BEGIN BRANCH QH_cyclic
            WIRE 1168 2176 1232 2176
            WIRE 1232 2176 1440 2176
            WIRE 1232 2176 1232 2432
            WIRE 1232 2432 2400 2432
        END BRANCH
        BEGIN BRANCH RCK
            WIRE 320 176 1312 176
            WIRE 1312 176 1312 416
            WIRE 1312 416 1440 416
            WIRE 1312 416 1312 704
            WIRE 1312 704 1440 704
            WIRE 1312 704 1312 960
            WIRE 1312 960 1440 960
            WIRE 1312 960 1312 1216
            WIRE 1312 1216 1312 1472
            WIRE 1312 1472 1440 1472
            WIRE 1312 1472 1312 1728
            WIRE 1312 1728 1440 1728
            WIRE 1312 1728 1312 1984
            WIRE 1312 1984 1312 2240
            WIRE 1312 2240 1440 2240
            WIRE 1312 1984 1440 1984
            WIRE 1312 1216 1440 1216
        END BRANCH
        IOMARKER 320 176 RCK R180 28
        BEGIN INSTANCE XLXI_29 1936 448 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_30 1936 736 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_31 1920 992 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_32 1920 1248 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_33 1920 1504 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_34 1920 1760 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_35 1920 2016 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_36 1920 2272 R0
        END INSTANCE
        BEGIN BRANCH XLXN_33
            WIRE 1824 2176 1920 2176
        END BRANCH
        BEGIN BRANCH XLXN_34
            WIRE 1824 1920 1920 1920
        END BRANCH
        BEGIN BRANCH XLXN_35
            WIRE 1824 1408 1920 1408
        END BRANCH
        BEGIN BRANCH XLXN_36
            WIRE 1824 896 1920 896
        END BRANCH
        BEGIN BRANCH XLXN_37
            WIRE 1824 640 1936 640
        END BRANCH
        BEGIN BRANCH XLXN_38
            WIRE 1824 352 1936 352
        END BRANCH
        BEGIN BRANCH XLXN_42
            WIRE 1824 1152 1920 1152
        END BRANCH
        BEGIN BRANCH XLXN_43
            WIRE 1824 1664 1920 1664
        END BRANCH
        BEGIN BRANCH G
            WIRE 320 112 1856 112
            WIRE 1856 112 1856 416
            WIRE 1856 416 1936 416
            WIRE 1856 416 1856 704
            WIRE 1856 704 1936 704
            WIRE 1856 704 1856 960
            WIRE 1856 960 1920 960
            WIRE 1856 960 1856 1216
            WIRE 1856 1216 1856 1472
            WIRE 1856 1472 1920 1472
            WIRE 1856 1472 1856 1728
            WIRE 1856 1728 1856 1984
            WIRE 1856 1984 1856 2240
            WIRE 1856 2240 1920 2240
            WIRE 1856 1984 1920 1984
            WIRE 1856 1728 1920 1728
            WIRE 1856 1216 1920 1216
        END BRANCH
        IOMARKER 320 112 G R180 28
        BEGIN BRANCH QA
            WIRE 2128 352 2400 352
        END BRANCH
        BEGIN BRANCH QB
            WIRE 2128 640 2400 640
        END BRANCH
        BEGIN BRANCH QC
            WIRE 2112 896 2400 896
        END BRANCH
        BEGIN BRANCH QD
            WIRE 2112 1152 2400 1152
        END BRANCH
        BEGIN BRANCH QE
            WIRE 2112 1408 2400 1408
        END BRANCH
        BEGIN BRANCH QF
            WIRE 2112 1664 2400 1664
        END BRANCH
        BEGIN BRANCH QG
            WIRE 2112 1920 2400 1920
        END BRANCH
        BEGIN BRANCH QH
            WIRE 2112 2176 2400 2176
        END BRANCH
        IOMARKER 2400 352 QA R0 28
        IOMARKER 2400 640 QB R0 28
        IOMARKER 2400 896 QC R0 28
        IOMARKER 2400 1152 QD R0 28
        IOMARKER 2400 1408 QE R0 28
        IOMARKER 2400 1664 QF R0 28
        IOMARKER 2400 1920 QG R0 28
        IOMARKER 2400 2176 QH R0 28
        IOMARKER 2400 2432 QH_cyclic R0 28
    END SHEET
END SCHEMATIC
