library ieee;
use ieee.std_logic_1164.all;
entity dffr is
port (
 data  :in  std_logic;
 clk   :in  std_logic;
 reset :in  std_logic;
 q     :out std_logic);
end entity;
architecture rtl of dffr is
begin
 process (clk, reset) begin
  if (reset = '0') then
   q <= '0';
  elsif (rising_edge(clk)) then
   q <= data;
  end if;
 end process;
end architecture;